# WOK
TKWOK
WOKUnix

# WOKUnix Class Reference

`#include <WOKUnix.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Standard_Integer | SystemLastError ()
static Standard_EXPORT Standard_CString | SystemMessage (const Standard_Integer i)
static Standard_EXPORT Standard_CString | LastSystemMessage ()

## Member Function Documentation

static Standard_EXPORT Standard_CString WOKUnix::LastSystemMessage | ( |  | ) | `[static]`

void WOKUnix::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKUnix::operator new | ( | size_t | size | ) | `[inline]`

void* WOKUnix::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Standard_Integer WOKUnix::SystemLastError | ( |  | ) | `[static]`

static Standard_EXPORT Standard_CString WOKUnix::SystemMessage | ( | const Standard_Integer | i | ) | `[static]`

The documentation for this class was generated from the following file:

- WOKUnix.hxx